Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • VibeCraft
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Cloud Registry
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Create
        • Update
        • Delete
        • Get
        • List
        • ChangeState
        • DryRun
        • GetDryRunResult
        • ListDryRunResults
        • ListDryRunArtifacts
  • Метрики Monitoring
  • Аудитные логи Audit Trails

В этой статье:

  • HTTP request
  • Query parameters
  • Response
  • DryRunLifecyclePolicyResponse
  • LifecycleRule
  • KeepByAgeLifecycleRule
  • KeepByVersionLifecycleRule
  • DeleteLifecycleRule
  • DeleteByVersionCondition
  • DockerFilters
  • MavenFilters
  1. Справочник API
  2. REST (англ.)
  3. LifecyclePolicy
  4. ListDryRunResults

Yandex Cloud Registry API, REST: LifecyclePolicy.ListDryRunResults

Статья создана
Yandex Cloud
Обновлена 2 сентября 2026 г.
Открыть в Markdown
  • HTTP request
  • Query parameters
  • Response
  • DryRunLifecyclePolicyResponse
  • LifecycleRule
  • KeepByAgeLifecycleRule
  • KeepByVersionLifecycleRule
  • DeleteLifecycleRule
  • DeleteByVersionCondition
  • DockerFilters
  • MavenFilters

Returns the list of dry run results of one lifecycle policy.

HTTP requestHTTP request

GET https://registry.api.cloud.yandex.net/cloud-registry/v1/lifecyclePolicyDryRunResults

Query parametersQuery parameters

Field

Description

policyId

string

Required field. ID of the lifecycle policy.

The maximum string length in characters is 50.

pageSize

string (int64)

The maximum number of results per page to return.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListDryRunLifecyclePolicyResultsResponse.next_page_token returned by a previous list request.

The maximum string length in characters is 1000.

runAfter

string (date-time)

Return dry run results run at this time or later.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

runBefore

string (date-time)

Return dry run results run before this time.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

orderBy

string

Sort order. Comma-separated "field [asc|desc]", e.g. "run_at desc".
Valid fields: run_at.
Defaults to "run_at desc" when empty.

The maximum string length in characters is 256.

ResponseResponse

HTTP Code: 200 - OK

{
  "results": [
    {
      "policyId": "string",
      "runAt": "string",
      "artifactsToHardDeleteCount": "string",
      "artifactsToSoftDeleteCount": "string",
      "dryRunId": "string",
      "policySnapshot": [
        {
          // Includes only one of the fields `keepByAge`, `keepByVersion`, `delete`
          "keepByAge": {
            "youngerThanDays": "string"
          },
          "keepByVersion": {
            "keepVersionsCount": "string"
          },
          "delete": {
            // Includes only one of the fields `olderThanDays`, `versionCondition`, `always`
            "olderThanDays": "string",
            "versionCondition": {
              "versionsCountGreaterThan": "string"
            },
            "always": "boolean",
            // end of the list of possible fields
            "type": "string",
            "cooldownPeriodDays": "string"
          },
          // end of the list of possible fields
          // Includes only one of the fields `dockerFilters`, `mavenFilters`
          "dockerFilters": {
            "tagStatus": "string"
          },
          "mavenFilters": {
            "versionType": "string"
          },
          // end of the list of possible fields
          "pathPrefix": "string",
          "versionRegexp": "string",
          "description": "string"
        }
      ]
    }
  ],
  "nextPageToken": "string"
}

Field

Description

results[]

DryRunLifecyclePolicyResponse

List of dry run results.

nextPageToken

string

This token allows you to get the next page of results for list requests.

DryRunLifecyclePolicyResponseDryRunLifecyclePolicyResponse

Field

Description

policyId

string

ID of the lifecycle policy.

runAt

string (date-time)

Time when the dry run started.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

artifactsToHardDeleteCount

string (int64)

Count of artifacts to be hard deleted.

artifactsToSoftDeleteCount

string (int64)

Count of artifacts to be soft deleted.

dryRunId

string

ID of this dry run. Use it to get this result again later.

policySnapshot[]

LifecycleRule

Copy of the policy rules at the time of the dry run.

LifecycleRuleLifecycleRule

A rule that defines lifecycle policy behavior.

Field

Description

keepByAge

KeepByAgeLifecycleRule

Rule that keeps artifacts by age.

Includes only one of the fields keepByAge, keepByVersion, delete.

Type of lifecycle rule.

keepByVersion

KeepByVersionLifecycleRule

Rule that keeps artifacts by version count.

Includes only one of the fields keepByAge, keepByVersion, delete.

Type of lifecycle rule.

delete

DeleteLifecycleRule

Rule that deletes artifacts.

Includes only one of the fields keepByAge, keepByVersion, delete.

Type of lifecycle rule.

dockerFilters

DockerFilters

Docker-specific filters.

Includes only one of the fields dockerFilters, mavenFilters.

Filters to determine which artifacts the rule applies to.

mavenFilters

MavenFilters

Maven-specific filters.

Includes only one of the fields dockerFilters, mavenFilters.

Filters to determine which artifacts the rule applies to.

pathPrefix

string

Path prefix to which the rule applies.

versionRegexp

string

Regular expression pattern to match package version or docker tag.

description

string

Description of the lifecycle policy rule

KeepByAgeLifecycleRuleKeepByAgeLifecycleRule

Rule that keeps artifacts younger than specified age.

Field

Description

youngerThanDays

string (int64)

Keep artifacts younger than this number of days.

KeepByVersionLifecycleRuleKeepByVersionLifecycleRule

Rule that keeps a specified number of recent versions.

Field

Description

keepVersionsCount

string (int64)

Number of versions to keep.

DeleteLifecycleRuleDeleteLifecycleRule

Rule that deletes artifacts based on specified conditions.

Field

Description

olderThanDays

string (int64)

Delete artifacts older than specified days.

Includes only one of the fields olderThanDays, versionCondition, always.

Condition that triggers deletion.

versionCondition

DeleteByVersionCondition

Delete artifacts by version count condition.

Includes only one of the fields olderThanDays, versionCondition, always.

Condition that triggers deletion.

always

boolean

Always delete (use with caution).

Includes only one of the fields olderThanDays, versionCondition, always.

Condition that triggers deletion.

type

enum (DeleteLifecycleRuleKind)

Type of deletion.

  • HARD_DELETE: Hard delete - artifacts are permanently removed.
  • SOFT_DELETE: Soft delete - artifacts are marked for deletion but can be recovered.

cooldownPeriodDays

string (int64)

Cooldown period in days before deletion.

DeleteByVersionConditionDeleteByVersionCondition

Condition for deletion based on version count.

Field

Description

versionsCountGreaterThan

string (int64)

Delete when version count exceeds this number.

DockerFiltersDockerFilters

Docker-specific filters for lifecycle rules.

Field

Description

tagStatus

enum (TagStatus)

Filter by tag status.

  • TAG_STATUS_ANY: Any tag status.
  • TAGGED: Only tagged images.
  • UNTAGGED: Only untagged images.

MavenFiltersMavenFilters

Maven-specific filters for lifecycle rules.

Field

Description

versionType

enum (VersionType)

Filter by version type.

  • VERSION_TYPE_ANY: Any version type.
  • RELEASE: Only release versions.
  • SNAPSHOT: Only snapshot versions.

Была ли статья полезна?

Предыдущая
GetDryRunResult
Следующая
ListDryRunArtifacts
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»